# 初始化搭建模块

base node env： node v22.14
## 初始化环境

### 方法1 安装 node 的 @kevisual/silky-cli

```bash
npm i -g @kevisual/silky-cli

# 初始化环境
## 安装pm2和@kevisual/kevisual-cli
silky init-env
## 创建基本文件
silky init
```

### 方法2 使用docker

```bash
docker run -itd --rm -p 51015:51015 --name node_container docker.cnb.cool/kevisual/node22:latest

docker exec -it node_container bash 
```


## 项目初始化

```bash
## 安装 应用 root/talkshow-admin 和应用 root/talkshow-code-center
silky init-talkshow
```

## 项目启动

```bash
asst am detect  #  检测后端应用 root/talkshow-code-center
asst am start talkshow-code-center


asst server -s # 启动服务
```

## 访问

https://localhost:51015/root/talkshow-admin